<?php
// This theme styles the visual editor with editor-style.css to match the theme style.
	add_editor_style();

	// This theme uses post thumbnails
	add_theme_support( 'post-thumbnails' );

	// Add default posts and comments RSS feed links to head
	add_theme_support( 'automatic-feed-links' );

	// Make theme available for translation
	// Translations can be filed in the /languages/ directory
	load_theme_textdomain( 'lemmus', TEMPLATEPATH . '/languages' );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'lemmus' ),
	) );

	// This theme allows users to set a custom background
	add_custom_background();
	
if ( function_exists('register_sidebar') )
	register_sidebar(array(
	    'name' => 'Footer bar left',
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2><span>',
		'after_title' => '</span></h2>',
	));	
	
	
	if ( function_exists('register_sidebar') )
	register_sidebar(array(
	    'name' => 'Footer bar center',
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2><span>',
		'after_title' => '</span></h2>',
	));	
	
	if ( function_exists('register_sidebar') )
	register_sidebar(array(
	    'name' => 'Sidebar',
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2><span>',
		'after_title' => '</span></h2>',
	));	


if ( ! function_exists( 'lemmus_posted_on' ) ) :
/**
 * Prints HTML with meta information for the current post—date/time and author.
 *
 * @since lemmus 1.0
 */
function lemmus_posted_on() {
	printf( __( '<span %1$s>Posted on</span> %2$s by %3$s', 'lemmus' ),
		'class="meta-prep meta-prep-author"',
		sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a> <span class="meta-sep">',
			get_permalink(),
			esc_attr( get_the_time() ),
			get_the_date()
		),
		sprintf( '</span> <span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
			get_author_posts_url( get_the_author_meta( 'ID' ) ),
			sprintf( esc_attr__( 'View all posts by %s', 'lemmus' ), get_the_author() ),
			get_the_author()
		)
	);
}
endif;

if ( ! function_exists( 'lemmus_posted_in' ) ) :
/**
 * Prints HTML with meta information for the current post (category, tags and permalink).
 *
 * @since lemmus 1.0
 */
function lemmus_posted_in() {
	// Retrieves tag list of current post, separated by commas.
	$tag_list = get_the_tag_list( '', ', ' );
	if ( $tag_list ) {
		$posted_in = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'lemmus' );
	} elseif ( is_object_in_taxonomy( get_post_type(), 'category' ) ) {
		$posted_in = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'lemmus' );
	} else {
		$posted_in = __( 'Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'lemmus' );
	}
	// Prints the string, replacing the placeholders.
	printf(
		$posted_in,
		get_the_category_list( ', ' ),
		$tag_list,
		get_permalink(),
		the_title_attribute( 'echo=0' )
	);
}
endif;


add_action('init', 'rt_create_portfolio');
	function rt_create_portfolio() {
    	$portfolio_args = array(
        	'label' => __('Portfolio'),
        	'singular_label' => __('Portfolio'),
        	'public' => true,
        	'show_ui' => true,
        	'capability_type' => 'post',
        	'hierarchical' => false,
        	'rewrite' => true,
        	'supports' => array('title', 'editor', 'thumbnail')
        );
    	register_post_type('portfolio',$portfolio_args);
	}
	
	
	
//Creating a custom post Type Code ends//

//Addindg More Coustome Fileds in portfolio Page
	add_action("admin_init", "rt_add_portfolio");
	add_action('save_post', 'rt_update_website_url');
	function rt_add_portfolio(){
		add_meta_box("portfolio_details", "Portfolio Options", "rt_portfolio_options", "portfolio", "normal", "low");
	}
	function rt_portfolio_options(){
		global $post;
		$custom = get_post_custom($post->ID);
		
		$website_url = $custom["website_url"][0];
		
		$show_in_carousel = $custom["show_in_carousel"][0];
		
		$show_in_hp_sb = $custom["show_in_hp_sb"][0];
		
        ?>
	<div id="rt_portfolio-options">
		<label>Website URL:</label>
		<input name="website_url" value="<?php echo $website_url; ?>" /><br />
		<label>Show In Homepage Carousel:</label>
		<?php
		if ($show_in_carousel == 'true'){
			
			$checked1 = 'checked';
			
		}
		?>
		<input type="checkbox" name="show_in_carousel" <?php echo $checked1; ?> /><br />
		<label>Show In Homepage Sidebar:</label>
		<?php
		if ($show_in_hp_sb == 'true'){
			
			$checked2 = 'checked';
			
		}
		?>
		<input type="checkbox" name="show_in_hp_sb" <?php echo $checked2; ?> />
		
	</div><!--end portfolio-options-->
        <?php
	}
	function rt_update_website_url(){
		global $post;
		update_post_meta($post->ID, "website_url", $_POST["website_url"]);
		
		if ($_POST["show_in_carousel"]){
		update_post_meta($post->ID, "show_in_carousel", "true");
		}else{
		update_post_meta($post->ID, "show_in_carousel", "false");
		}
		
		if ($_POST["show_in_hp_sb"]){
		update_post_meta($post->ID, "show_in_hp_sb", "true");
		}else{
		update_post_meta($post->ID, "show_in_hp_sb", "false");
		}
	}
//Addindg More Coustome Fileds in portfolio Page Ends
//Formating the portfolio page
add_filter("manage_edit-portfolio_columns", "rt_portfolio_edit_columns");
add_action("manage_posts_custom_column",  "rt_portfolio_columns_display");
function rt_portfolio_edit_columns($portfolio_columns){
	$portfolio_columns = array(
		"cb" => "<input type=\"checkbox\" />",
		"title" => "Project Title",
		"description" => "Description",
	);
	return $portfolio_columns;
}
function rt_portfolio_columns_display($portfolio_columns){
	switch ($portfolio_columns)
	{
		case "description":
			the_excerpt();
			break;
	}
}
//Formating the portfolio page Code ends	


/* After THE LOOP */
/* ======================= */
add_action ('rt_after_the_loop', 'rt_after_the_loop_callback');

function rt_after_the_loop_callback(){
	
		//support for page-navi plugin, please refer readme.txt for further instructions      	
     		if(function_exists('wp_pagenavi')) { 
     			wp_pagenavi(); 
 			}else{ 
 				//if pagenavi is not installed wordpress default "previous" and "next" links will be shown
 				 ?><ul class="blog-pagination portfolio-pagination">
                                      <li class="alignleft prev-entries"><?php next_posts_link('Next'); ?></li>
                                      <li class="alignright next-entries"><?php  previous_posts_link('Previous'); ?></li>
                                 </ul><?php
 			} 
	
}



$themename = "lemmus";
$shortname = "lemmus";

$options = array (

	array(	"name" => "Your Facebook, Twitter and RSS URLS",
			"type" => "title"),
			
	array(	"type" => "open"),
	
	array(	"name" => "Facebook",
			"desc" => "Enter your facebook URL.",
			"id" => $shortname."_facebook",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "Twitter",
			"desc" => "Enter your Twitter URL.",
			"id" => $shortname."_twitter",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "RSS",
			"desc" => "Enter your RSS URL.",
			"id" => $shortname."_RSS",
			"std" => "",
			"type" => "text"),			
	
	array(	"type" => "close"),
	
	array(	"name" => "AboutUs - Homepage",
			"type" => "title"),
			
	array(	"type" => "open"),
	
	array(	"type" => "divider"),

	
	array(	"name" => "About Us Title",
			"desc" => "Enter about us title.",
			"id" => $shortname."_hp_au_title",
			"std" => "",
			"type" => "text"),	

	array(	"name" => "About Us Image",
			"desc" => "Enter path to about us image.",
			"id" => $shortname."_hp_au_img",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "About Us Text",
			"desc" => "Enter about us text.",
			"id" => $shortname."_hp_au_text",
			"std" => "",
			"type" => "textarea"),
			
	array(	"type" => "close"),
	
	array(	"name" => "What We Do - Homepage",
			"type" => "title"),
			
	array(	"type" => "open"),
	
	array(	"type" => "divider"),
				
			
	array(	"name" => "What We Do Title",
			"desc" => "Enter what we do title.",
			"id" => $shortname."_hp_wwd_title",
			"std" => "",
			"type" => "text"),			
			
			
	array(	"name" => "What We Do Image",
			"desc" => "Enter path to What We Do image.",
			"id" => $shortname."_hp_wwd_img",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "What We Do Text",
			"desc" => "Enter What We Do text.",
			"id" => $shortname."_hp_wwd_text",
			"std" => "",
			"type" => "textarea"),
			
			
	array(	"type" => "close"),
	
	array(	"name" => "Portfolio - Homepage",
			"type" => "title"),
			
	array(	"type" => "open"),
	
	array(	"type" => "divider"),			
						
		array(	"name" => "Portfolio Url",
			"desc" => "Enter full url portfolio page.",
			"id" => $shortname."_hp_portfolio_url",
			"std" => "",
			"type" => "text"),		
	
	
	array(	"type" => "close")
	
);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Options", "".$themename." Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
    
?>
<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>

<form method="post">



<?php foreach ($options as $value) { 
    
	switch ( $value['type'] ) {
	
		case "open":
		?>
        <table width="100%" border="0" style="background-color:#eef5fb; padding:10px;">
		
        
        
		<?php break;
		
		case "close":
		?>
		
        </table><br />
        
        
		<?php break;
		
		case "title":
		?>
		<table width="100%" border="0" style="background-color:#dceefc; padding:5px 10px;"><tr>
        	<td colspan="2"><h3 style="font-family:Georgia,'Times New Roman',Times,serif;"><?php echo $value['name']; ?></h3></td>
        </tr>
                
        
		<?php break;

		case 'text':
		?>
        
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><input style="width:400px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
        </tr>

        <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
        </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php 
		break;
		
		case 'textarea':
		?>
        
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:400px; height:200px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea></td>
            
        </tr>

        <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
        </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php 
		break;
		
		case 'select':
		?>
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select></td>
       </tr>
                
       <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
       </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php
        break;
            
		case "checkbox":
		?>
            <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
                <td width="80%"><? if(get_settings($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?>
                        <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
                        </td>
            </tr>
                        
            <tr>
                <td><small><?php echo $value['desc']; ?></small></td>
           </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
            
        <?php 		break;
	
 
} 
}
?>

<!--</table>-->

<p class="submit">
<input name="save" type="submit" value="Save changes" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

add_action('admin_menu', 'mytheme_add_admin'); ?>
