<?php /* If there are no posts to display, such as an empty archive page */ ?>
<?php if ( ! have_posts() ) : ?>
	<div id="post-0" class="post error404 not-found">
		<h1 class="entry-title"><?php _e( 'Not Found', 'lemmus' ); ?></h1>
		<div class="entry-content">
			<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'lemmus' ); ?></p>
			<?php get_search_form(); ?>
		</div><!-- .entry-content -->
	</div><!-- #post-0 -->
<?php endif; ?>

<?php while ( have_posts() ) : the_post(); ?>



		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'lemmus' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			
			<?php if ( is_archive() || is_search() ) : // Only display excerpts for archives and search. ?>
				<div class="entry-summary">
					<?php if ( has_post_thumbnail()) { ?>
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
			<?php the_post_thumbnail('thumbnail', array('class' => 'archive_img') ); ?>
			</a>
		<?php	} ?>
					<?php 
					
					the_excerpt(); ?>
				</div><!-- .entry-summary -->
			<?php else : ?>
				<div class="entry-content">
					<?php the_content(); ?>
				</div><!-- .entry-content -->
			<?php endif; ?>
	
			<div class="entry-utility-more nobo">
				<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'lemmus' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">read more...</a> 
			</div><!-- .entry-utility -->

			<div class="entry-meta">
				<?php lemmus_posted_on(); ?>
				<span class="meta-sep-small">|</span>
				<span class="cat-links">
						<?php printf( __( '<span class="%1$s">Posted in</span> %2$s', 'lemmus' ), 'entry-utility-prep entry-utility-prep-cat-links', get_the_category_list( ', ' ) ); ?>
				</span>
				<span class="meta-sep-small">|</span>
				<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'lemmus' ), __( '1 Comment', 'lemmus' ), __( '% Comments', 'lemmus' ) ); ?></span>
				
				<?php edit_post_link( __( 'Edit', 'lemmus' ), '<span class="meta-sep-small">|</span> <span class="edit-link">', '</span>' ); ?>
			</div><!-- .entry-meta -->

	

			
		</div><!-- #post-## -->

		<?php comments_template( '', true ); ?>


<?php endwhile; // End the loop. Whew. ?>

<?php /* Display navigation to next/previous pages when applicable */ ?>
<?php if (  $wp_query->max_num_pages > 1 ) : ?>
				<div id="nav-below" class="navigation">
					<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'lemmus' ) ); ?></div>
					<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'lemmus' ) ); ?></div>
				</div><!-- #nav-below -->
<?php endif; ?>